import { Editor, Position } from "./TinyMDE";
export interface CommandAction {
    (editor: Editor): void;
}
export interface CommandEnabled {
    (editor: Editor, focus?: Position, anchor?: Position): boolean | null;
}
export interface CommandDefinition {
    name: string;
    action: string | CommandAction;
    innerHTML: string;
    title: string;
    hotkey?: string;
    enabled?: CommandEnabled;
}
export interface CommandBarProps {
    element?: string | HTMLElement;
    editor?: Editor;
    commands?: (string | CommandDefinition)[];
}
export declare class CommandBar {
    e: HTMLDivElement | null;
    editor: Editor | null;
    commands: Record<string, CommandDefinition>;
    buttons: Record<string, HTMLDivElement>;
    state: Record<string, boolean | null>;
    private hotkeys;
    constructor(props: CommandBarProps);
    private createCommandBarElement;
    private handleClick;
    setEditor(editor: Editor): void;
    private handleSelection;
    private handleKeydown;
}
export default CommandBar;
